历尽千辛万苦编译安装好 Audacious 

本来就是用audacious听歌的,不过官方源里面的版本(v1.5.1)实在是太低了。

于是就萌发了自己编译的想法,下载了audacious最新稳定版2.1.0 (2009.7.6发布)----程序源码包 和 插件源码包.

本以为应该编译安装很容易,不过我错了。

./configure 到没有什么难度,可选的也不多,很多都是default enable的.

我的 ./configure --prefix=/usr/local/audacious --enable-samplerate

缺依赖就 apt-get install xxx.

make,make install 也很流畅。

不过,audacious-plugins 不太好办

我的 ./configure --prefix=/usr/local/audacious/plugins (很方便,囧rz)

不过刚check了一秒,报错....
Not found Audacious 2.1 or later...

大体意思是找不到主程序的位置.

解决方案:复制 /usr/local/audacious/lib/pkgconfig/下的audacious.pc
到 /usr/local/lib/pkgconfig/下 即可.

继续check..缺依赖 apt-get install.

./configure 通过.

make...又报错..
是进入sid 目录报的错.
audutil.h No such a file or directory...
laudutil 出错
failed to link sid.so

就是 libaudutil挂了.
关于这个问题我搜索了一下,是audacious自身问题(居然说是稳定版 囧rz....)
把libaudutil 合并到 libaudcore中
官网给出了修改的步骤,一共是6个文件.
详见:http://hg.atheme.org/audacious-plugins/rev/5044e5807b67
如果懒得改可以下载修改后的源码包:
http://hg.atheme.org/audacious-plugins/archive/5044e5807b67.tar.bz2

我的解决方案:

把audacious.2.1/src/libaudutil/下的audutil.h 复制
到audacious.2.1/src/audacious/下 即可。

然后make,就没有问题了。
如果报一些 -laudutil 错之类的,找到该文件夹下的 makefile,删掉LIB_PATH 后面 该字符串即可通过.

然后,make check,make install.

安装成功.
[ ] ( 3607 次浏览 ) 永久链接 ( 3 / 1780 )

<< <上一页 | 25 | 26 | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 34 | 下一页> >>